# Ecosystem API — Ecosystem

> Canonical URL: https://developers.apideck.com/apis/ecosystem/reference#tag/Ecosystem

This document contains every operation on the `Ecosystem` resource.

---

# Get ecosystem

> **Ecosystem API** · `GET /ecosystems/{ecosystem_id}`
> Canonical URL: https://developers.apideck.com/apis/ecosystem/reference#tag/Ecosystem/operation/ecosystemsOne

Get ecosystem

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `ecosystem_id` | path | `string` | Yes |  |

### Responses

#### 200 — Ecosystems

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `data` `object` **required**
  - `id` `string` — example: `12345`
  - `about` `string`
  - `alternatives_background_color` `string`
  - `alternatives_color` `string`
  - `attribution` `boolean`
  - `body_background_color` `string`
  - `body_button_background_color` `string`
  - `body_button_color` `string`
  - `body_color` `string`
  - `body_link_color` `string`
  - `card_settings` `object`
    - `background_color` `string`
    - `border_color` `string`
    - `border_radius` `string`
    - `border_size` `string`
    - `color` `string`
    - `columns` `integer`
    - `description_lines` `integer`
    - `icon_border_radius` `string`
    - `icon_shadow_enabled` `boolean`
    - `icon_size` `integer`
    - `shadow_enabled` `boolean`
    - `show_action` `boolean`
    - `show_badges` `boolean`
    - `show_category` `boolean`
    - `show_description` `boolean`
    - `style` `string`
  - `categories_count_badge` `boolean`
  - `categories_show_max_items` `integer`
  - `collections_count_badge` `boolean`
  - `collections_title` `string`
  - `create_link` `string`
  - `cta_settings` `object`
    - `background_color` `string`
    - `button_background_color` `string`
    - `button_color` `string`
    - `button_label` `string`
    - `button_link` `string`
    - `color` `string`
    - `description` `string`
    - `enabled` `boolean`
    - `title` `string`
  - `custom_domain` `string`
  - `custom_settings` `object`
    - `css` `string`
    - `css_link` `string`
    - `domain` `string`
    - `html_footer` `string`
    - `html_nav` `string`
    - `java_script_link` `string`
  - `detail_pages_enabled` `boolean`
  - `footer_background_color` `string`
  - `footer_color` `string`
  - `google_site_verification_id` `string`
  - `hide_install_buttons` `boolean`
  - `home_page_collection_category_cards` `boolean`
  - `home_page_show_all_listings` `boolean`
  - `installation_request_flow_enabled` `boolean`
  - `integration_settings` `object`
    - `albacross_id` `string`
    - `automate_enabled` `boolean`
    - `blendr_enabled` `boolean`
    - `combidesk_enabled` `boolean`
    - `crisp_id` `string`
    - `drift_id` `string`
    - `google_analytics_id` `string`
    - `google_tag_manager_id` `string`
    - `heap_id` `string`
    - `hubspot_portal_id` `string`
    - `integromat_enabled` `boolean`
    - `intercom_app_id` `string`
    - `iubenda_cookie_policy_id` `string`
    - `iubenda_site_id` `string`
    - `journy_io_domain` `string`
    - `journy_io_id` `string`
    - `livechat_id` `string`
    - `metomic_id` `string`
    - `microsoft_flow_id` `string`
    - `microsoft_flow_enabled` `boolean`
    - `onetrust_id` `string`
    - `piesync_enabled` `boolean`
    - `segment_id` `string`
    - `segment_enabled` `boolean`
    - `tray_io_enabled` `boolean`
    - `zapier_beta_link` `string`
    - `zapier_enabled` `boolean`
    - `zapier_id` `string`
  - `is_published` `boolean` **required**
  - `lead_form_settings` `object`
    - `capture_form_enabled` `boolean`
    - `first_name_field_enabled` `boolean`
    - `first_name_field_required` `boolean`
    - `integration_enabled` `boolean`
    - `last_name_field_enabled` `boolean`
    - `last_name_field_required` `boolean`
    - `telephone_field_enabled` `boolean`
    - `telephone_field_required` `boolean`
    - `work_email_validation` `boolean`
  - `listing_settings` `object`
    - `description_text_template` `string`
    - `description_title` `string`
    - `features_text_template` `string`
    - `features_title` `string`
    - `install_button_label` `string`
    - `name_postfix` `string`
    - `naming` `string` — enum: `LISTING`, `LISTINGS`, `INTEGRATIONS`, `APPS`, `CONNECTORS`, `DATASOURCES`, `ADDONS`, `PLUGINS`, `PARTNERS`, `CHANNELS`, `CONNECTIONS`, `EXTENSIONS`
    - `native_integration_link` `string`
    - `pricing_disabled` `boolean`
    - `pricing_text_template` `string`
    - `pricing_title` `string`
    - `sidebar_position` `string` — enum: `TOP`, `LEFT`, `RIGHT`, `HIDDEN`
  - `masthead_settings` `object`
    - `background` `string`
    - `background_color` `string`
    - `color` `string`
    - `columns` `integer`
    - `description` `string`
    - `title` `string`
  - `menu_position` `string` — enum: `TOP`, `LEFT`, `RIGHT`, `HIDDEN`
  - `menu_style` `string` — enum: `LIST`, `PILL`, `FILTER`
  - `meta_tag_settings` `object`
    - `description` `string`
    - `description_category_page` `string`
    - `description_collection_page` `string`
    - `description_listing_page` `string`
    - `keywords` `string`
    - `title` `string`
    - `title_postfix` `string`
  - `name` `string` **required**
  - `navigation_background_color` `string`
  - `navigation_color` `string`
  - `navigation_logo_post_fix` `string`
  - `navigation_mobile_menu_type` `string` — enum: `ICON`, `TEXT`
  - `navigation_sticky` `boolean`
  - `primary_color` `string`
  - `privacy_link` `string`
  - `request_link` `string`
  - `shadow_page_description` `string`
  - `shadow_pages_enabled` `boolean`
  - `show_attribution_badge` `boolean`
  - `show_requested_listings` `boolean`
  - `slug` `string` **required**
  - `terms_link` `string`
  - `total_published_listings` `integer`
  - `unify_application_id` `string`
  - `utm_campaign` `string`
  - `website` `string`
  - `zaps_menu_title` `string`
  - `zaps_page_enabled` `boolean`
  - `created_at` `string` — format: `date-time`
  - `updated_at` `string` — format: `date-time`

---
